local D = select(2, ...).TomCatsLibs.Data
D.loadData(
    "StatusBarWidgetVisualizationInfo",
    { "widgetID", "barValueTextType", "hasTimer", "contributionID" },
    {
        { 1309, 1, false, 11 },
        { 1311, 1, false, 116 },
        { 1313, 3, true, 11 },
        { 1317, 1, false, 116 },
        { 1315, 3, true, 116 },
        { 1319, 1, false, 11 },
        { 1430, 3, true, 117 },
        { 1432, 1, false, 117 },
        { 1434, 1, false, 118 },
        { 1436, 3, true, 118 },
        { 1438, 1, false, 118 },
        { 1440, 1, false, 117 },
    }
)

D.StatusBarWidgetVisualizationInfoTextureKits = {
    ENDING_BAR = 5112,
    WARNING_BAR = 5111,
    NORMAL_BAR = 5169
}

D.StatusBarWidgetVisualizationInfoFactory = { }
D.StatusBarWidgetVisualizationInfoFactory.CreateWithDefaults = function(widgetID)
    local widgetVisualizationInfo = D.StatusBarWidgetVisualizationInfo[widgetID]
    if (widgetVisualizationInfo) then
        return {
            barMin = 0,
            barMax = 100,
            barValue = 0,
            barValueTextType = widgetVisualizationInfo.barValueTextType,
            barWidth = 200,
            fillTextureKitID = D.StatusBarWidgetVisualizationInfoTextureKits.NORMAL_BAR,
            frameTextureKitID = 5110,
            hasTimer = widgetVisualizationInfo.hasTimer,
            orderIndex = 1,
            shownState = 1,
            text = "",
            tooltip = "",
            widgetTag = ""
        }, widgetVisualizationInfo.contributionID
    else
        return nil
    end
end
